mp:
    # 文件路径 示例（ Windows配置D:/ygp/uploadPath，Linux配置 /home/ygp/uploadPath）
    profile: /Users/cup/Documents/logs

pay:
    callbackUrl: https://test-mp.quanshu123.com/service/notify/payCallback
alipay:
    callbackUrl: https://test-mp.quanshu123.com/service/notify/alipayCallback

# 数据源配置
spring:
    redis:
        host: 110.40.236.236
        port: 6379
        password: '@9(s2sWppxkess'
        # 连接超时时间（毫秒）
        timeout: 10000
        jedis:
            pool:
                # 连接池中的最大空闲连接
                max-idle: 30
                # 连接池中的最小空闲连接
                min-idle: 6
                # 连接池最大连接数（使用负值表示没有限制）
                max-active: 10
                # 连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: 3000
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:mysql://110.40.236.236:3306/mpdb_test?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
                username: mptest
                password: wan789*@dfhzHu518!dr2xosn
                # 从库数据源
            slave:
                # 从数据源开关/默认关闭
                enabled: false
                url:
                username:
                password:
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 10
            # 最大连接池数量
            maxActive: 20
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter:
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username: mp
                login-password: 123456
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true
# 日志配置
logging:
    config: classpath:logback-spring.xml
    level:
        com.qs.mp: debug
        org.springframework: warn
        org.apache: warn
        io.lettuce.core: warn
        com.qs.mp.framework.interceptor: warn
        ma.glasnost.orika: warn

# 开发环境配置
server:
    # 生成唯一ID的，同一Mac地址多应用的部署方式，用这个进行区分
    datacenterId: 1
    # 环境标识
    env: dev

#API访问
client:
    # appKey
    device:
        appKey: 3c8b36cf4ace53e76a210e5edd75ef2b
        # appSecret
        appSecret: b84382574b0f4988bc68367fbc340d3a

# cloud
cloud:
    # 存储对象公开可访问
    public-bucket-name: mp-public-test-1307117429
    # 存储对象公开不可访问，需要通过应用下载
    private-bucket-name: mp-auth-test-1307117429

    accessKey: AKIDDF4dwzlGVTAmCMGvLVP4UfbHiuqVzFEw
    secretKey: TgbFcjZ8HDse9ToujIabLo1yf5YqtfBX
    region: ap-shanghai

mq:
    consumer-conn: false
    service-url: http://pulsar-rkrxw2wx8zeo.tdmq-pulsar.ap-sh.public.tencenttdmq.com:8080
    auth-token: eyJrZXlJZCI6InB1bHNhci1ya3J4dzJ3eDh6ZW8iLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJwdWxzYXItcmtyeHcyd3g4emVvX21wLXNlcnZlci10ZXN0In0.12cemXSqXGn9beDFnB-uUe477G6pP9bNbDUA4fIRsgk
    topic-ticket-generate: pulsar-rkrxw2wx8zeo/test-share/topic-ticket-generate
    topic-ticket-pay: pulsar-rkrxw2wx8zeo/test-share/topic-ticket-pay
    consumer-topics: pulsar-rkrxw2wx8zeo/test-share/topic-ticket-generate,pulsar-rkrxw2wx8zeo/test-share/topic-ticket-pay

# 小程序
miniprogram:
    # 接收通知的状态
    state: developer
    env_version: trial

# 盲票导出每页查询数量
export:
    page-size: 200

# 运费默认模板配置
shipping:
    user: 4
    channel: 7
bind:
    channelId: 2
